# Uses of Interface
org.eclipse.birt.chart.model.layout.TitleBlock

Packages that use TitleBlock
Package
Description
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of TitleBlock in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type TitleBlock
Modifier and Type
Method
Description
`static StructureSource`
StructureSource.`createTitle(TitleBlock tb)`
Creates a Structure Source for type Title.

## Uses of TitleBlock in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return TitleBlock
Modifier and Type
Method
Description
`TitleBlock`
Chart.`getTitle()`
Convenience method that gets the Title Block for the chart.

## Uses of TitleBlock in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return TitleBlock
Modifier and Type
Method
Description
`final TitleBlock`
ChartImpl.`getTitle()`
Note: Manually written

## Uses of TitleBlock in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return TitleBlock
Modifier and Type
Method
Description
`TitleBlock`
TitleBlock.`copyInstance()`
`TitleBlock`
LayoutFactory.`createTitleBlock()`
Returns a new object of class 'Title Block'.

## Uses of TitleBlock in org.eclipse.birt.chart.model.layout.impl

Classes in org.eclipse.birt.chart.model.layout.impl that implement TitleBlock
Modifier and Type
Class
Description
`class`
`TitleBlockImpl`
An implementation of the model object 'Title Block'.
Methods in org.eclipse.birt.chart.model.layout.impl that return TitleBlock
Modifier and Type
Method
Description
`TitleBlock`
TitleBlockImpl.`copyInstance()`
`TitleBlock`
LayoutFactoryImpl.`createTitleBlock()`

## Uses of TitleBlock in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render with parameters of type TitleBlock
Modifier and Type
Method
Description
`void`
BaseRenderer.`renderTitle(IPrimitiveRenderer ipr, TitleBlock b)`
Renders the Chart Title Block